<template>
  <el-dialog
    title="Preview CV Template"
    width="65%"
    :visible="dialogvisible"
    append-to-body
    @close="$emit('update:dialogvisible', false)"
  >
    <div
      v-html="data"
      v-loading="loading"
    ></div>
  </el-dialog>
</template>

<script>
import { document as documentAPI } from "~/services/apis/index";
export default {
  name: "PreviewCV",
  props: ["dialogvisible", "value", "textarea"],

  data () {
    return {
      data: "",
      loading: true
    };
  },
  methods: {
    handlePreview () {
      this.loading = true
      const stringifyHTML = this.value
      const stringifyCSS = this.textarea

      const template = stringifyHTML.replace(/<style>(.|\n)*?<\/style>/g, stringifyCSS);

      this.content = template
      const data = {
        html: template
      }
      documentAPI.getPreviewSeekerProfile(data).then(res => {

        let json = res.data.data[0].replace(/\\n/g, '');
        this.data = json.replace(/\\/g, '');

        this.$notify({
          title: "Success",
          message: "Preview successfully!",
          type: "success"
        });
        setTimeout(() => { this.loading = false }, 1000)
      }).catch(error => {
        this.$notify({
          title: "Error",
          message: "Preview failed!",
          type: "error"
        });
        setTimeout(() => { this.loading = false }, 1000)
        this.$emit("update:dialogvisible", false);
      })
    },

    resetDialog () {

    }
  },
  mounted () {

  },
  watch: {
    dialogvisible: function () {
      if (this.dialogvisible) {
        this.handlePreview();
      }
    }
  }
};
</script>

<style lang="scss">
@import "../../assets/scss/_variables";
.item-full-width .el-form-item__content {
  margin-left: 0 !important;
}
.el-dialog__body {
  form {
    margin-top: 10px;
    .el-input-number {
      width: auto;
      /*max-width: 180px;*/
    }
  }
}
</style>
